# CSS Framework

Insights Hub and Industrial IoT CSS is a front-end framework to empower you to build responsive Insights Hub and Industrial IoT Applications.
https://design.mindsphere.io

# Use from the CDN

```html
<link rel="stylesheet" href="https://static.eu1.mindsphere.io/mdsp-css/v2.0.0/css/mdsp-css.min.css" />
```

# Get Started

The "User Experience Toolkit for Insights Hub and Industrial IoT" website provides documentation and example snippets to help you start using our CSS Framework.
https://design.mindsphere.io/mindsphere-css/get-started.html

See the starter files on how to integrate the CSS into your application:

- [starter.html](starter.html) starter template with CSS Framework styling the complete body element
- [starter-partialIntegration.html](starter-partialIntegration.html) starter template with CSS styling only a specific container
- [starter-externalFramework.html](starter-externalFramework.html) starter template using CSS and Twitter Bootstrap at the same time

# Siemens Sans web-font

The Siemens Sans web-font is not included in the zip files, they are reserved for Siemens internal use only!
A zip file containing the font files, CSS and SCSS code snippets is available to [download here](https://mds.code.siemens.io/mdsp-css-siemens-fonts/). Without included Siemens web-font, the CSS Framework will fallback on a web-safe font.

# Features

The file "preview.html" in the "files" folder contains all elements provided by the CSS Framework.

# Browser Support

- Chrome (latest)
- Firefox (latest)
- Edge (latest)
- Mobile Safari (latest)
- Mobile Chrome (latest)

# Community & Support

Discuss new features, future goals, problems or questions:
[Siemens PLM Community - Insights Hub and Industrial IoT](https://community.plm.automation.siemens.com/t5/General-Forum/bd-p/MindSphere-forum)

# Options for Private Cloud (LPC and VPC)
Create a custom pipeline with the following variable:
- `build_version_exists = overwrite` to overwrite the existing release version with the current build artifact.  
- `build_version_exists = failure` to abort the deployment of the current build artifact with **failure**, if this version alredy exists.  
- `build_version_exists = success` to abort the deployment of the current build artifact with **success**, if this version alredy exists.  

The default value of `build_version_exists` on master branch is `failure`, on other branches `overwrite`.  

# License

See the [LICENSE.md](LICENSE.md) file for license text and copyright information.
